Mailinglist Archive: opensuse-updates (175 mails)

< Previous Next >
openSUSE-SU-2020:0264-1: moderate: Security update for libexif
openSUSE Security Update: Security update for libexif
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:0264-1
Rating: moderate
References: #1120943 #1160770
Cross-References: CVE-2018-20030 CVE-2019-9278
Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for libexif fixes the following issues:

- CVE-2019-9278: Fixed an integer overflow (bsc#1160770).
- CVE-2018-20030: Fixed a denial of service by endless recursion
(bsc#1120943).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2020-264=1



Package List:

- openSUSE Leap 15.1 (i586 x86_64):

libexif-debugsource-0.6.21-lp151.4.3.1
libexif-devel-0.6.21-lp151.4.3.1
libexif12-0.6.21-lp151.4.3.1
libexif12-debuginfo-0.6.21-lp151.4.3.1

- openSUSE Leap 15.1 (x86_64):

libexif-devel-32bit-0.6.21-lp151.4.3.1
libexif12-32bit-0.6.21-lp151.4.3.1
libexif12-32bit-debuginfo-0.6.21-lp151.4.3.1


References:

https://www.suse.com/security/cve/CVE-2018-20030.html
https://www.suse.com/security/cve/CVE-2019-9278.html
https://bugzilla.suse.com/1120943
https://bugzilla.suse.com/1160770


< Previous Next >
This Thread
  • No further messages